Skip to main content
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

ruleResultId
string<uuid>
required

The rule result id.

Body

application/json
name
any
description
any
storageUri
any
text
any
url
any

Response

Evidence created.

id
string<uuid>
required
read-only

The evidence id.

creatorId
string<uuid> | null
required
read-only

The user who attached the evidence.

dateCreated
string<date-time>
required
read-only

The creation date.

Example:

"2026-03-22T11:31:01.185Z"

dateUpdated
string<date-time>
required
read-only

The last update date.

Example:

"2026-03-22T11:31:01.185Z"

name
string | null

The evidence name.

Maximum string length: 120
Example:

"Model risk assessment 2026"

description
string | null

A description of what the evidence shows.

storageUri
string | null

Where the uploaded file is stored. Set when the rule's evidenceType is document.

Example:

"s3://openlayer-evidence/evidence.pdf"

text
string | null

The evidence text. Set when the rule's evidenceType is text.

url
string<uri> | null

A link to the evidence. Set when the rule's evidenceType is url.

Example:

"https://openlayer.com/evidence"